Update an Event
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Event/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"eventType": "<string>",
"startDateTime": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"communicationId": "<integer>",
"locationName": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventbriteId": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
eventType: '<string>',
startDateTime: '<dateTime>',
endDateTime: '<dateTime>',
timeZone: '<string>',
communicationId: '<integer>',
locationName: '<string>',
description: '<string>',
specialInstructions: '<string>',
inviteOnly: '<boolean>',
rsvpRequired: '<boolean>',
tables: ['<string>', '<string>'],
meals: ['<string>', '<string>'],
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
eventbriteId: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}"
payload = {
"name": "<string>",
"eventType": "<string>",
"startDateTime": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"communicationId": "<integer>",
"locationName": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"tables": ["<string>", "<string>"],
"meals": ["<string>", "<string>"],
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventbriteId": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"eventType\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"endDateTime\": \"<dateTime>\",\n \"timeZone\": \"<string>\",\n \"communicationId\": \"<integer>\",\n \"locationName\": \"<string>\",\n \"description\": \"<string>\",\n \"specialInstructions\": \"<string>\",\n \"inviteOnly\": \"<boolean>\",\n \"rsvpRequired\": \"<boolean>\",\n \"tables\": [\n \"<string>\",\n \"<string>\"\n ],\n \"meals\": [\n \"<string>\",\n \"<string>\"\n ],\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"eventbriteId\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'eventType' => '<string>',
'startDateTime' => '<dateTime>',
'endDateTime' => '<dateTime>',
'timeZone' => '<string>',
'communicationId' => '<integer>',
'locationName' => '<string>',
'description' => '<string>',
'specialInstructions' => '<string>',
'inviteOnly' => '<boolean>',
'rsvpRequired' => '<boolean>',
'tables' => [
'<string>',
'<string>'
],
'meals' => [
'<string>',
'<string>'
],
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postal' => '<string>',
'country' => '<string>',
'eventbriteId' => '<string>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Event/{eventId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"eventType\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"endDateTime\": \"<dateTime>\",\n \"timeZone\": \"<string>\",\n \"communicationId\": \"<integer>\",\n \"locationName\": \"<string>\",\n \"description\": \"<string>\",\n \"specialInstructions\": \"<string>\",\n \"inviteOnly\": \"<boolean>\",\n \"rsvpRequired\": \"<boolean>\",\n \"tables\": [\n \"<string>\",\n \"<string>\"\n ],\n \"meals\": [\n \"<string>\",\n \"<string>\"\n ],\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"eventbriteId\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"eventType\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"endDateTime\": \"<dateTime>\",\n \"timeZone\": \"<string>\",\n \"communicationId\": \"<integer>\",\n \"locationName\": \"<string>\",\n \"description\": \"<string>\",\n \"specialInstructions\": \"<string>\",\n \"inviteOnly\": \"<boolean>\",\n \"rsvpRequired\": \"<boolean>\",\n \"tables\": [\n \"<string>\",\n \"<string>\"\n ],\n \"meals\": [\n \"<string>\",\n \"<string>\"\n ],\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"eventbriteId\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
eventType: '<string>',
startDateTime: '<dateTime>',
endDateTime: '<dateTime>',
timeZone: '<string>',
communicationId: '<integer>',
locationName: '<string>',
description: '<string>',
specialInstructions: '<string>',
inviteOnly: '<boolean>',
rsvpRequired: '<boolean>',
tables: ['<string>', '<string>'],
meals: ['<string>', '<string>'],
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
eventbriteId: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 3300,
"address1": "1590 Convention Way",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97477",
"country": "US",
"eventViewUrl": "https://api.virtuoussoftware.com/api/Event/3300",
"name": "Riverside Hope Annual Gala 2025",
"eventType": "Gala",
"locationName": "Springfield Convention Center",
"displayAddress": "1590 Convention Way, Springfield, OR 97477",
"geocodeAddress": "1590 Convention Way, Springfield, OR 97477",
"startDateTime": "2025-11-08T18:00:00",
"endDateTime": "2025-11-08T22:00:00",
"timeZone": "US/Pacific",
"description": "Annual black-tie gala benefiting Riverside Hope programs.",
"specialInstructions": "Valet parking available; cocktail reception begins at 6 PM.",
"inviteOnly": true,
"rsvpRequired": true,
"totalInvites": 320,
"totalRsvps": 245,
"totalAttended": 232,
"totalGifts": 198,
"totalGiving": "486500.00",
"communicationId": null,
"createDateTimeUtc": "2025-08-01T09:00:00Z",
"createdByUser": "Events Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"eventContactsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts",
"generosityEventContacts": [
{
"id": 700501,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700501",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"displayName": "Marcus Castellano",
"firstName": "Marcus",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"primaryPhone": "(555) 012-3401",
"primaryEmail": "marcus.castellano@example.org"
},
{
"id": 700502,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700502",
"contactId": 100235,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100235",
"displayName": "Elena Castellano",
"firstName": "Elena",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200235/Avatar",
"primaryPhone": "(555) 012-3402",
"primaryEmail": "elena.castellano@example.org"
}
],
"tables": [
"Table 1 — Board of Directors",
"Table 2 — Major Donors"
],
"meals": [
"Herb-Roasted Chicken",
"Vegetarian Wellington"
],
"eventInvitationsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Attendees",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Events
Update an Event
Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
Event
/
{eventId}
Update an Event
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Event/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"eventType": "<string>",
"startDateTime": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"communicationId": "<integer>",
"locationName": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventbriteId": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
eventType: '<string>',
startDateTime: '<dateTime>',
endDateTime: '<dateTime>',
timeZone: '<string>',
communicationId: '<integer>',
locationName: '<string>',
description: '<string>',
specialInstructions: '<string>',
inviteOnly: '<boolean>',
rsvpRequired: '<boolean>',
tables: ['<string>', '<string>'],
meals: ['<string>', '<string>'],
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
eventbriteId: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}"
payload = {
"name": "<string>",
"eventType": "<string>",
"startDateTime": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"communicationId": "<integer>",
"locationName": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"tables": ["<string>", "<string>"],
"meals": ["<string>", "<string>"],
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventbriteId": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"eventType\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"endDateTime\": \"<dateTime>\",\n \"timeZone\": \"<string>\",\n \"communicationId\": \"<integer>\",\n \"locationName\": \"<string>\",\n \"description\": \"<string>\",\n \"specialInstructions\": \"<string>\",\n \"inviteOnly\": \"<boolean>\",\n \"rsvpRequired\": \"<boolean>\",\n \"tables\": [\n \"<string>\",\n \"<string>\"\n ],\n \"meals\": [\n \"<string>\",\n \"<string>\"\n ],\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"eventbriteId\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'eventType' => '<string>',
'startDateTime' => '<dateTime>',
'endDateTime' => '<dateTime>',
'timeZone' => '<string>',
'communicationId' => '<integer>',
'locationName' => '<string>',
'description' => '<string>',
'specialInstructions' => '<string>',
'inviteOnly' => '<boolean>',
'rsvpRequired' => '<boolean>',
'tables' => [
'<string>',
'<string>'
],
'meals' => [
'<string>',
'<string>'
],
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postal' => '<string>',
'country' => '<string>',
'eventbriteId' => '<string>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Event/{eventId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"eventType\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"endDateTime\": \"<dateTime>\",\n \"timeZone\": \"<string>\",\n \"communicationId\": \"<integer>\",\n \"locationName\": \"<string>\",\n \"description\": \"<string>\",\n \"specialInstructions\": \"<string>\",\n \"inviteOnly\": \"<boolean>\",\n \"rsvpRequired\": \"<boolean>\",\n \"tables\": [\n \"<string>\",\n \"<string>\"\n ],\n \"meals\": [\n \"<string>\",\n \"<string>\"\n ],\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"eventbriteId\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"eventType\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"endDateTime\": \"<dateTime>\",\n \"timeZone\": \"<string>\",\n \"communicationId\": \"<integer>\",\n \"locationName\": \"<string>\",\n \"description\": \"<string>\",\n \"specialInstructions\": \"<string>\",\n \"inviteOnly\": \"<boolean>\",\n \"rsvpRequired\": \"<boolean>\",\n \"tables\": [\n \"<string>\",\n \"<string>\"\n ],\n \"meals\": [\n \"<string>\",\n \"<string>\"\n ],\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"eventbriteId\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
eventType: '<string>',
startDateTime: '<dateTime>',
endDateTime: '<dateTime>',
timeZone: '<string>',
communicationId: '<integer>',
locationName: '<string>',
description: '<string>',
specialInstructions: '<string>',
inviteOnly: '<boolean>',
rsvpRequired: '<boolean>',
tables: ['<string>', '<string>'],
meals: ['<string>', '<string>'],
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
eventbriteId: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 3300,
"address1": "1590 Convention Way",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97477",
"country": "US",
"eventViewUrl": "https://api.virtuoussoftware.com/api/Event/3300",
"name": "Riverside Hope Annual Gala 2025",
"eventType": "Gala",
"locationName": "Springfield Convention Center",
"displayAddress": "1590 Convention Way, Springfield, OR 97477",
"geocodeAddress": "1590 Convention Way, Springfield, OR 97477",
"startDateTime": "2025-11-08T18:00:00",
"endDateTime": "2025-11-08T22:00:00",
"timeZone": "US/Pacific",
"description": "Annual black-tie gala benefiting Riverside Hope programs.",
"specialInstructions": "Valet parking available; cocktail reception begins at 6 PM.",
"inviteOnly": true,
"rsvpRequired": true,
"totalInvites": 320,
"totalRsvps": 245,
"totalAttended": 232,
"totalGifts": 198,
"totalGiving": "486500.00",
"communicationId": null,
"createDateTimeUtc": "2025-08-01T09:00:00Z",
"createdByUser": "Events Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"eventContactsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts",
"generosityEventContacts": [
{
"id": 700501,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700501",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"displayName": "Marcus Castellano",
"firstName": "Marcus",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"primaryPhone": "(555) 012-3401",
"primaryEmail": "marcus.castellano@example.org"
},
{
"id": 700502,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700502",
"contactId": 100235,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100235",
"displayName": "Elena Castellano",
"firstName": "Elena",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200235/Avatar",
"primaryPhone": "(555) 012-3402",
"primaryEmail": "elena.castellano@example.org"
}
],
"tables": [
"Table 1 — Board of Directors",
"Table 2 — Major Donors"
],
"meals": [
"Herb-Roasted Chicken",
"Vegetarian Wellington"
],
"eventInvitationsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Attendees",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Was this page helpful?